Pause Flow Control Key
curl --request POST \
--url https://qstash-{region}.upstash.io/v2/flowControl/{flowControlKey}/pause \
--header 'Authorization: Bearer <token>'import requests
url = "https://qstash-{region}.upstash.io/v2/flowControl/{flowControlKey}/pause"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://qstash-{region}.upstash.io/v2/flowControl/{flowControlKey}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}Flow Control
Pause Flow Control Key
Pauses the delivery of messages associated with a specific flow-control key.
POST
/
v2
/
flowControl
/
{flowControlKey}
/
pause
Pause Flow Control Key
When a flow-control key is paused, messages associated with that key will not be delivered until the key is resumed.
Messages that are already in the waitlist will remain there. New incoming messages will be added directly to the waitlist.
While the key is paused, the current rate period continues to elapse and the existing rate count is preserved for that period.
Was this page helpful?